- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NamePatternConverter Class Reference

Inherits LoggingEventPatternConverter.

Inherited by ClassNamePatternConverter, and LoggerPatternConverter.

List of all members.

## Detailed Description

Base class for other pattern converters which can return only parts of their name.

## Protected Member Functions
| NamePatternConverter (const LogString &name, const LogString &style, const std::vector< LogString > &options)
| Constructor.
void | abbreviate (int nameStart, LogString &buf) const
| Abbreviate name in string buffer.

## Constructor & Destructor Documentation

NamePatternConverter | ( | const LogString & | name,
|  | const LogString & | style,
|  | const std::vector< LogString > & | options
| ) | `[protected]`

  | Constructor. Parameters:
  | name | name of converter.
  | style | style name for associated output.
  | options | options, may be null, first element will be interpreted as an abbreviation pattern.

## Member Function Documentation

void abbreviate | ( | int | nameStart,
|  | LogString & | buf
| ) | const`[protected]`

  | Abbreviate name in string buffer. Parameters:
  | nameStart | starting position of name to abbreviate.
  | buf | string buffer containing name.

The documentation for this class was generated from the following file:

- namepatternconverter.h